use std::{ io, io::Write, error::Error, };
fn main() -> Result<(), Box<dyn Error>> {
    let mut input = String::new();

    print!("Please input: ");
    io::stdout().flush().ok();
    io::stdin().read_line(&mut input)?;

    println!("You typed: {}", input.trim());

    Ok(())
}
